"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Cols = exports.Col = void 0;
var _reactNative = require("react-native");
var _cell = require("./cell.js");
var _index = require("../util/index.js");
var _jsxRuntime = require("react/jsx-runtime");
const Col = ({
  data,
  style,
  width,
  heightArr,
  flex,
  textStyle,
  ...props
}) => {
  return data ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
    style: _reactNative.StyleSheet.flatten([{
      width: width ?? (flex ? undefined : 1),
      flex
    }, style]),
    children: data.map((item, i) => {
      const height = heightArr?.[i];
      return /*#__PURE__*/(0, _jsxRuntime.jsx)(_cell.Cell, {
        data: item,
        width: width,
        height: height,
        textStyle: textStyle,
        ...props
      }, i);
    })
  }) : null;
};
exports.Col = Col;
const Cols = ({
  data,
  style,
  widthArr,
  heightArr,
  flexArr,
  textStyle,
  ...props
}) => {
  const width = widthArr ? (0, _index.sum)(widthArr) : 0;
  return data ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
    style: _reactNative.StyleSheet.flatten([styles.cols, width ? {
      width
    } : {}]),
    children: data.map((item, i) => {
      const flex = flexArr?.[i];
      const wth = widthArr?.[i];
      return /*#__PURE__*/(0, _jsxRuntime.jsx)(Col, {
        data: item,
        width: wth,
        heightArr: heightArr,
        flex: flex,
        style: style,
        textStyle: textStyle,
        ...props
      }, i);
    })
  }) : null;
};
exports.Cols = Cols;
const styles = _reactNative.StyleSheet.create({
  cols: {
    flexDirection: 'row'
  }
});
//# sourceMappingURL=cols.js.map