"use strict";

import { View, StyleSheet } from 'react-native';
import { Cell } from "./cell.js";
import { sum } from "../util/index.js";
import { jsx as _jsx } from "react/jsx-runtime";
export const Col = ({
  data,
  style,
  width,
  heightArr,
  flex,
  textStyle,
  ...props
}) => {
  return data ? /*#__PURE__*/_jsx(View, {
    style: StyleSheet.flatten([{
      width: width ?? (flex ? undefined : 1),
      flex
    }, style]),
    children: data.map((item, i) => {
      const height = heightArr?.[i];
      return /*#__PURE__*/_jsx(Cell, {
        data: item,
        width: width,
        height: height,
        textStyle: textStyle,
        ...props
      }, i);
    })
  }) : null;
};
export const Cols = ({
  data,
  style,
  widthArr,
  heightArr,
  flexArr,
  textStyle,
  ...props
}) => {
  const width = widthArr ? sum(widthArr) : 0;
  return data ? /*#__PURE__*/_jsx(View, {
    style: StyleSheet.flatten([styles.cols, width ? {
      width
    } : {}]),
    children: data.map((item, i) => {
      const flex = flexArr?.[i];
      const wth = widthArr?.[i];
      return /*#__PURE__*/_jsx(Col, {
        data: item,
        width: wth,
        heightArr: heightArr,
        flex: flex,
        style: style,
        textStyle: textStyle,
        ...props
      }, i);
    })
  }) : null;
};
const styles = StyleSheet.create({
  cols: {
    flexDirection: 'row'
  }
});
//# sourceMappingURL=cols.js.map