"use strict";

import React from 'react';
import { View } from 'react-native';
import { jsx as _jsx } from "react/jsx-runtime";
export const Table = ({
  style,
  borderStyle,
  children
}) => {
  const borderLeftWidth = borderStyle?.borderWidth ?? 0;
  const borderBottomWidth = borderLeftWidth;
  const borderColor = borderStyle?.borderColor ?? '#000';
  const renderChildren = () => React.Children.map(children, child => /*#__PURE__*/React.cloneElement(child, borderStyle && child.type.displayName !== 'ScrollView' ? {
    borderStyle
  } : {}));
  return /*#__PURE__*/_jsx(View, {
    style: [style, {
      borderLeftWidth,
      borderBottomWidth,
      borderColor
    }],
    children: renderChildren()
  });
};
export const TableWrapper = ({
  style,
  borderStyle,
  children
}) => {
  const renderChildren = () => React.Children.map(children, child => /*#__PURE__*/React.cloneElement(child, borderStyle ? {
    borderStyle
  } : {}));
  return /*#__PURE__*/_jsx(View, {
    style: style,
    children: renderChildren()
  });
};
//# sourceMappingURL=table.js.map