/**
 * Tabeller - Table Components for React Native
 * A set of lightweight and customizable components to build tables
 * in React Native apps. Includes rows, columns, cells, and table wrappers.
 */

// components
export { Cell } from './components/cell';
export { Row, Rows } from './components/rows';
export { Col, Cols } from './components/cols';
export { Table, TableWrapper } from './components/table';
export { StickyTable } from './components/sticky-table';

// types
export type {
  BorderStyle,
  BaseTableProps,
  CellProps,
  RowProps,
  RowsProps,
  ColProps,
  ColsProps,
  TableProps,
  TableWrapperProps,
  StickyTableProps,
} from './types';
